"Dwa dynamicznie obliczane atrybuty z właściwościami"

class Powers:
    def __init__(self, square, cube):
        self._square = square                      # _square to wartość bazowa
        self._cube   = cube                        # square to nazwa właściwości

    def getSquare(self):
        return self._square ** 2
    def setSquare(self, value):
        self._square = value
    square = property(getSquare, setSquare)        # lub dekorator @property

    def getCube(self):
        return self._cube ** 3 
    cube = property(getCube)                       # Podobnie

